%global srcname testtools

Name:           python-%{srcname}
Version:        1.8.0
Release:        %mkrel 5
Summary:        Extensions to the Python standard library unit testing framework

Group:          Development/Python
License:        MIT
URL:            https://github.com/testing-cabal/testtools
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%version.tar.gz
Patch0:         testtools-1.8.0-py3.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
testtools is a set of extensions to the Python standard library’s unit
testing framework. These extensions have been derived from many years
of experience with unit testing in Python and come from many different
sources.

%package -n     python3-%{srcname}
Summary:        Extensions to the Python standard library unit testing framework
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
testtools is a set of extensions to the Python standard library’s unit
testing framework. These extensions have been derived from many years
of experience with unit testing in Python and come from many different
sources.

%prep
%setup -q -n %{srcname}-%{version}

cp -a . %{py3dir}

pushd %{py3dir}
# make the Python 3 build load the Python 3.x compatibility library directly
%patch0 -p1 -b .py3

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
rm testtools/_compat2x.py
popd

rm testtools/_compat3x.py

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc AUTHORS ChangeLog README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Mar 04 2016 daviddavid <daviddavid> 1.8.0-5.mga6
+ Revision: 985622
- use new python macros (fix build)

* Fri Feb 19 2016 umeabot <umeabot> 1.8.0-4.mga6
+ Revision: 971014
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.8.0-3.mga6
+ Revision: 888994
- rebuild for python 3.5

* Fri Sep 04 2015 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 872841
- add python3 package
- add patch from Fedora to fix Python 3.x compatibility library directly
- use new python2 macro
- update file list

* Mon Aug 31 2015 fwang <fwang> 1.8.0-1.mga6
+ Revision: 871499
- imported package python-testtools

